CVS kaffe (robilad): removed classpath tools javap

Kaffe CVS <[email protected]>
Newsgroups gmane.comp.java.vm.kaffe.general
Message-ID <[email protected]>
PatchSet 7646 
Date: 2008/01/01 22:21:11
Author: robilad
Branch: HEAD
Tag: (none) 
Log:
removed classpath tools javap

2008-01-01  Dalibor Topic  <[email protected]>

* THIRDPARTY: Removed licensing information for javap from GNU Classpath
tools and for gnu bytecode. Updated ac-archive licensing information to
include new Java development tool detection macros.

* TODO: Purged cp-tools from unmerge tasks.

* WHATSNEW: Added cp-tools purge information.

* kaffe/scripts/Makefile.am (install-exec-local, uninstall-local):
Added support for symlinking JAVAP as javap.

* configure.ac: Removed classpath tools compilation option.
(JAVAP) Check for javap and javap-cp. (AC_CONFIG_FILES) Removed
kaffe/scripts/javap, tools/Makefile and tools/javalib/Makefile.

* Makefile.am (install-exec-local, uninstall-local): Moved over
from tools/Makefile.am. (SUBDIRS) Removed .

* tools/javatools/.cvsignore,
tools/javatools/gnu/classpath/tools/Util.java,
tools/javatools/gnu/classpath/tools/javap/JavapMain.java,
tools/javatools/gnu/classpath/tools/javap/Javap.java,
tools/javatools/gnu/classpath/tools/javap/GnuByteCodeJavap.java,
tools/javatools/gnu/bytecodecvssnap/SourceDebugExtAttr.java,
tools/javatools/gnu/bytecodecvssnap/SourceFileAttr.java,
tools/javatools/gnu/bytecodecvssnap/CpoolValue1.java,
tools/javatools/gnu/bytecodecvssnap/ZipLoader.java,
tools/javatools/gnu/bytecodecvssnap/SwitchState.java,
tools/javatools/gnu/bytecodecvssnap/PrimType.java,
tools/javatools/gnu/bytecodecvssnap/Method.java,
tools/javatools/gnu/bytecodecvssnap/CpoolClass.java,
tools/javatools/gnu/bytecodecvssnap/Access.java,
tools/javatools/gnu/bytecodecvssnap/IfState.java,
tools/javatools/gnu/bytecodecvssnap/Variable.java,
tools/javatools/gnu/bytecodecvssnap/package.html,
tools/javatools/gnu/bytecodecvssnap/ObjectType.java,
tools/javatools/gnu/bytecodecvssnap/Location.java,
tools/javatools/gnu/bytecodecvssnap/CpoolFloat.java,
tools/javatools/gnu/bytecodecvssnap/VarEnumerator.java,
tools/javatools/gnu/bytecodecvssnap/Label.java,
tools/javatools/gnu/bytecodecvssnap/Field.java,
tools/javatools/gnu/bytecodecvssnap/CpoolValue2.java,
tools/javatools/gnu/bytecodecvssnap/CodeAttr.java,
tools/javatools/gnu/bytecodecvssnap/Type.java,
tools/javatools/gnu/bytecodecvssnap/Scope.java,
tools/javatools/gnu/bytecodecvssnap/MiscAttr.java,
tools/javatools/gnu/bytecodecvssnap/LineNumbersAttr.java,
tools/javatools/gnu/bytecodecvssnap/CpoolEntry.java,
tools/javatools/gnu/bytecodecvssnap/AttrContainer.java,
tools/javatools/gnu/bytecodecvssnap/dump.java,
tools/javatools/gnu/bytecodecvssnap/ClassType.java,
tools/javatools/gnu/bytecodecvssnap/TryState.java,
tools/javatools/gnu/bytecodecvssnap/ConstantValueAttr.java,
tools/javatools/gnu/bytecodecvssnap/Attribute.java,
tools/javatools/gnu/bytecodecvssnap/ZipArchive.java,
tools/javatools/gnu/bytecodecvssnap/LocalVarsAttr.java,
tools/javatools/gnu/bytecodecvssnap/ClassFileInput.java,
tools/javatools/gnu/bytecodecvssnap/CpoolNameAndType.java,
tools/javatools/gnu/bytecodecvssnap/CpoolRef.java,
tools/javatools/gnu/bytecodecvssnap/Filter.java,
tools/javatools/gnu/bytecodecvssnap/InnerClassesAttr.java,
tools/javatools/gnu/bytecodecvssnap/ArrayClassLoader.java,
tools/javatools/gnu/bytecodecvssnap/ArrayType.java,
tools/javatools/gnu/bytecodecvssnap/CpoolUtf8.java,
tools/javatools/gnu/bytecodecvssnap/CpoolString.java,
tools/javatools/gnu/bytecodecvssnap/ClassTypeWriter.java,
tools/javatools/gnu/bytecodecvssnap/ExceptionsAttr.java,
tools/javatools/gnu/bytecodecvssnap/ConstantPool.java,
tools/javatools/Makefile.in,
tools/javatools/Makefile.am,
tools/.cvsignore,
tools/Makefile.in,
tools/Makefile.am: Removed.

Members: 
	ChangeLog:1.5145->1.5146 
	Makefile.am:1.142->1.143 
	Makefile.in:1.295->1.296 
	THIRDPARTY:1.55->1.56 
	TODO:1.25->1.26 
	WHATSNEW:1.69->1.70 
	configure:1.611->1.612 
	configure.ac:1.281->1.282 
	config/Makefile.in:1.243->1.244 
	include/Makefile.in:1.305->1.306 
	kaffe/Makefile.in:1.193->1.194 
	kaffe/jvmpi/Makefile.in:1.118->1.119 
	kaffe/kaffe/Makefile.in:1.217->1.218 
	kaffe/kaffeh/Makefile.in:1.198->1.199 
	kaffe/kaffevm/Makefile.in:1.267->1.268 
	kaffe/kaffevm/boehm-gc/Makefile.in:1.81->1.82 
	kaffe/kaffevm/gcj/Makefile.in:1.173->1.174 
	kaffe/kaffevm/intrp/Makefile.in:1.182->1.183 
	kaffe/kaffevm/jit/Makefile.in:1.192->1.193 
	kaffe/kaffevm/jit3/Makefile.in:1.162->1.163 
	kaffe/kaffevm/jni/Makefile.in:1.86->1.87 
	kaffe/kaffevm/kaffe-gc/Makefile.in:1.80->1.81 
	kaffe/kaffevm/systems/Makefile.in:1.182->1.183 
	kaffe/kaffevm/systems/beos-native/Makefile.in:1.173->1.174 
	kaffe/kaffevm/systems/drops-l4threads/Makefile.in:1.37->1.38 
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in:1.179->1.180 
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in:1.183->1.184 
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in:1.159->1.160 
	kaffe/kaffevm/verifier/Makefile.in:1.85->1.86 
	kaffe/man/Makefile.in:1.180->1.181 
	kaffe/scripts/Makefile.am:1.21->1.22 
	kaffe/scripts/Makefile.in:1.224->1.225 
	kaffe/scripts/bat/Makefile.in:1.173->1.174 
	kaffe/scripts/compat/Makefile.in:1.201->1.202 
	kaffe/xprof/Makefile.in:1.148->1.149 
	libraries/Makefile.in:1.176->1.177 
	libraries/clib/Makefile.in:1.197->1.198 
	libraries/clib/awt/Makefile.in:1.191->1.192 
	libraries/clib/awt/X/Makefile.in:1.186->1.187 
	libraries/clib/awt/nano-X/Makefile.in:1.58->1.59 
	libraries/clib/awt/qt/Makefile.in:1.139->1.140 
	libraries/clib/awt/xynth/Makefile.in:1.14->1.15 
	libraries/clib/management/Makefile.in:1.195->1.196 
	libraries/clib/math/Makefile.in:1.189->1.190 
	libraries/clib/security/Makefile.in:1.161->1.162 
	libraries/clib/sound/Makefile.in:1.85->1.86 
	libraries/clib/sound/alsa/Makefile.in:1.86->1.87 
	libraries/clib/sound/common/Makefile.in:1.85->1.86 
	libraries/clib/sound/esd/Makefile.in:1.86->1.87 
	libraries/clib/zip/Makefile.in:1.194->1.195 
	libraries/javalib/Makefile.in:1.587->1.588 
	libraries/javalib/awt-implementations/Makefile.in:1.70->1.71 
	libraries/javalib/awt-implementations/kaffe/Makefile.in:1.90->1.91 
	libraries/javalib/dnsjava/Makefile.in:1.16->1.17 
	libraries/javalib/gmp-math/Makefile.in:1.79->1.80 
	libraries/javalib/tritonus-sound/Makefile.in:1.16->1.17 
	libraries/javalib/vmspecific/Makefile.in:1.20->1.21 
	libraries/javalib/zlib-zip/Makefile.in:1.16->1.17 
	replace/Makefile.in:1.135->1.136 
	test/Makefile.in:1.185->1.186 
	test/internal/Makefile.in:1.161->1.162 
	test/jni/Makefile.in:1.91->1.92 
	test/regression/Makefile.in:1.264->1.265 
	test/regression/compile_time/Makefile.in:1.113->1.114 
	test/regression/compiler/Makefile.in:1.97->1.98 
	test/regression/run_time/Makefile.in:1.112->1.113 
	tools/.cvsignore:1.1->1.2(DEAD) 
	tools/Makefile.am:1.6->1.7(DEAD) 
	tools/Makefile.in:1.89->1.90(DEAD) 
	tools/javatools/.cvsignore:1.1->1.2(DEAD) 
	tools/javatools/Makefile.am:1.9->1.10(DEAD) 
	tools/javatools/Makefile.in:1.45->1.46(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Access.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ArrayClassLoader.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ArrayType.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/AttrContainer.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Attribute.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ClassFileInput.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ClassType.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ClassTypeWriter.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CodeAttr.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ConstantPool.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ConstantValueAttr.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CpoolClass.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CpoolEntry.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CpoolFloat.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CpoolNameAndType.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CpoolRef.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CpoolString.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CpoolUtf8.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CpoolValue1.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/CpoolValue2.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ExceptionsAttr.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Field.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Filter.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/IfState.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/InnerClassesAttr.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Label.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/LineNumbersAttr.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/LocalVarsAttr.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Location.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Method.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/MiscAttr.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ObjectType.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/PrimType.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Scope.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/SourceDebugExtAttr.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/SourceFileAttr.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/SwitchState.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/TryState.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Type.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/VarEnumerator.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/Variable.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ZipArchive.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/ZipLoader.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/dump.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/bytecodecvssnap/package.html:1.1->1.2(DEAD) 
	tools/javatools/gnu/classpath/tools/Util.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/classpath/tools/javap/GnuByteCodeJavap.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/classpath/tools/javap/Javap.java:1.1->1.2(DEAD) 
	tools/javatools/gnu/classpath/tools/javap/JavapMain.java:1.1->1.2(DEAD) 

Index: kaffe/ChangeLog
diff -u kaffe/ChangeLog:1.5145 kaffe/ChangeLog:1.5146
--- kaffe/ChangeLog:1.5145	Tue Jan  1 21:24:36 2008
+++ kaffe/ChangeLog	Tue Jan  1 22:21:11 2008
@@ -1,5 +1,81 @@
 2008-01-01  Dalibor Topic  <[email protected]>
 
+	* THIRDPARTY: Removed licensing information for javap from GNU Classpath 
+	tools and for gnu bytecode. Updated ac-archive licensing information to
+	include new Java development tool detection macros.
+
+	* TODO: Purged cp-tools from unmerge tasks.
+
+	* WHATSNEW: Added cp-tools purge information.
+
+	* kaffe/scripts/Makefile.am (install-exec-local, uninstall-local):
+	Added support for symlinking JAVAP as javap.
+
+	* configure.ac: Removed classpath tools compilation option.
+	(JAVAP) Check for javap and javap-cp. (AC_CONFIG_FILES) Removed
+	kaffe/scripts/javap, tools/Makefile and tools/javalib/Makefile.
+
+	* Makefile.am (install-exec-local, uninstall-local): Moved over
+	from tools/Makefile.am. (SUBDIRS) Removed .
+
+	* tools/javatools/.cvsignore,
+	tools/javatools/gnu/classpath/tools/Util.java,
+	tools/javatools/gnu/classpath/tools/javap/JavapMain.java,
+	tools/javatools/gnu/classpath/tools/javap/Javap.java,
+	tools/javatools/gnu/classpath/tools/javap/GnuByteCodeJavap.java,
+	tools/javatools/gnu/bytecodecvssnap/SourceDebugExtAttr.java,
+	tools/javatools/gnu/bytecodecvssnap/SourceFileAttr.java,
+	tools/javatools/gnu/bytecodecvssnap/CpoolValue1.java,
+	tools/javatools/gnu/bytecodecvssnap/ZipLoader.java,
+	tools/javatools/gnu/bytecodecvssnap/SwitchState.java,
+	tools/javatools/gnu/bytecodecvssnap/PrimType.java,
+	tools/javatools/gnu/bytecodecvssnap/Method.java,
+	tools/javatools/gnu/bytecodecvssnap/CpoolClass.java,
+	tools/javatools/gnu/bytecodecvssnap/Access.java,
+	tools/javatools/gnu/bytecodecvssnap/IfState.java,
+	tools/javatools/gnu/bytecodecvssnap/Variable.java,
+	tools/javatools/gnu/bytecodecvssnap/package.html,
+	tools/javatools/gnu/bytecodecvssnap/ObjectType.java,
+	tools/javatools/gnu/bytecodecvssnap/Location.java,
+	tools/javatools/gnu/bytecodecvssnap/CpoolFloat.java,
+	tools/javatools/gnu/bytecodecvssnap/VarEnumerator.java,
+	tools/javatools/gnu/bytecodecvssnap/Label.java,
+	tools/javatools/gnu/bytecodecvssnap/Field.java,
+	tools/javatools/gnu/bytecodecvssnap/CpoolValue2.java,
+	tools/javatools/gnu/bytecodecvssnap/CodeAttr.java,
+	tools/javatools/gnu/bytecodecvssnap/Type.java,
+	tools/javatools/gnu/bytecodecvssnap/Scope.java,
+	tools/javatools/gnu/bytecodecvssnap/MiscAttr.java,
+	tools/javatools/gnu/bytecodecvssnap/LineNumbersAttr.java,
+	tools/javatools/gnu/bytecodecvssnap/CpoolEntry.java,
+	tools/javatools/gnu/bytecodecvssnap/AttrContainer.java,
+	tools/javatools/gnu/bytecodecvssnap/dump.java,
+	tools/javatools/gnu/bytecodecvssnap/ClassType.java,
+	tools/javatools/gnu/bytecodecvssnap/TryState.java,
+	tools/javatools/gnu/bytecodecvssnap/ConstantValueAttr.java,
+	tools/javatools/gnu/bytecodecvssnap/Attribute.java,
+	tools/javatools/gnu/bytecodecvssnap/ZipArchive.java,
+	tools/javatools/gnu/bytecodecvssnap/LocalVarsAttr.java,
+	tools/javatools/gnu/bytecodecvssnap/ClassFileInput.java,
+	tools/javatools/gnu/bytecodecvssnap/CpoolNameAndType.java,
+	tools/javatools/gnu/bytecodecvssnap/CpoolRef.java,
+	tools/javatools/gnu/bytecodecvssnap/Filter.java,
+	tools/javatools/gnu/bytecodecvssnap/InnerClassesAttr.java,
+	tools/javatools/gnu/bytecodecvssnap/ArrayClassLoader.java,
+	tools/javatools/gnu/bytecodecvssnap/ArrayType.java,
+	tools/javatools/gnu/bytecodecvssnap/CpoolUtf8.java,
+	tools/javatools/gnu/bytecodecvssnap/CpoolString.java,
+	tools/javatools/gnu/bytecodecvssnap/ClassTypeWriter.java,
+	tools/javatools/gnu/bytecodecvssnap/ExceptionsAttr.java,
+	tools/javatools/gnu/bytecodecvssnap/ConstantPool.java,
+	tools/javatools/Makefile.in,
+	tools/javatools/Makefile.am,
+	tools/.cvsignore,
+	tools/Makefile.in,
+	tools/Makefile.am: Removed.
+	
+2008-01-01  Dalibor Topic  <[email protected]>
+
 	* configure.ac (FASTJAR): Added gjar, gjar-4.1 and gjar-4.2 to detected jar tools.
 
 2008-01-01  Dalibor Topic  <[email protected]>
Index: kaffe/Makefile.am
diff -u kaffe/Makefile.am:1.142 kaffe/Makefile.am:1.143
--- kaffe/Makefile.am:1.142	Mon Dec 31 17:31:50 2007
+++ kaffe/Makefile.am	Tue Jan  1 22:21:11 2008
@@ -16,7 +16,6 @@
 
 SUBDIRS = \
 	replace \
-	. \
 	libraries/javalib \
 	config \
 	libltdl \
@@ -25,8 +24,7 @@
 	kaffe/kaffevm \
 	libraries/clib \
 	kaffe \
-	po \
-	tools
+	po 
 
 DIST_SUBDIRS = \
 	config \
@@ -35,7 +33,6 @@
 	libltdl \
 	kaffe \
 	libraries \
-	tools \
 	test \
 	po
 
@@ -178,3 +175,11 @@
 
 check-local:
 	cd test && $(MAKE) check
+
+install-exec-local:
+	if ! test -f $(DESTDIR)${toolslibdir}/tools.jar ; then \
+                $(LN_S) $(CLASSPATH_PREFIX)/share/classpath/tools.zip $(DESTDIR)${toolslibdir}/tools.jar ; \
+        fi
+
+uninstall-local:
+	$(RM) $(DESTDIR)${toolslibdir}/tools.jar 
Index: kaffe/Makefile.in
diff -u kaffe/Makefile.in:1.295 kaffe/Makefile.in:1.296
--- kaffe/Makefile.in:1.295	Mon Dec 31 17:31:50 2007
+++ kaffe/Makefile.in	Tue Jan  1 22:21:11 2008
@@ -173,6 +173,7 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVADOC = @JAVADOC@
+JAVAP = @JAVAP@
 JAVA_LIBS = @JAVA_LIBS@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
@@ -322,7 +323,6 @@
 AUTOMAKE_OPTIONS = foreign 1.3e
 SUBDIRS = \
 	replace \
-	. \
 	libraries/javalib \
 	config \
 	libltdl \
@@ -331,8 +331,7 @@
 	kaffe/kaffevm \
 	libraries/clib \
 	kaffe \
-	po \
-	tools
+	po 
 
 DIST_SUBDIRS = \
 	config \
@@ -341,7 +340,6 @@
 	libltdl \
 	kaffe \
 	libraries \
-	tools \
 	test \
 	po
 
@@ -832,7 +830,7 @@
 
 install-dvi: install-dvi-recursive
 
-install-exec-am:
+install-exec-am: install-exec-local
 
 install-html: install-html-recursive
 
@@ -864,7 +862,7 @@
 
 ps-am:
 
-uninstall-am:
+uninstall-am: uninstall-local
 
 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
 	install-strip
@@ -877,13 +875,14 @@
 	distclean-tags distcleancheck distdir distuninstallcheck dvi \
 	dvi-am html html-am info info-am install install-am \
 	install-data install-data-am install-dvi install-dvi-am \
-	install-exec install-exec-am install-html install-html-am \
-	install-info install-info-am install-man install-pdf \
-	install-pdf-am install-ps install-ps-am install-strip \
-	installcheck installcheck-am installdirs installdirs-am \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-	tags tags-recursive uninstall uninstall-am
+	install-exec install-exec-am install-exec-local install-html \
+	install-html-am install-info install-info-am install-man \
+	install-pdf install-pdf-am install-ps install-ps-am \
+	install-strip installcheck installcheck-am installdirs \
+	installdirs-am maintainer-clean maintainer-clean-generic \
+	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
+	ps ps-am tags tags-recursive uninstall uninstall-am \
+	uninstall-local
 
 
 depend:
@@ -915,6 +914,14 @@
 
 check-local:
 	cd test && $(MAKE) check
+
+install-exec-local:
+	if ! test -f $(DESTDIR)${toolslibdir}/tools.jar ; then \
+                $(LN_S) $(CLASSPATH_PREFIX)/share/classpath/tools.zip $(DESTDIR)${toolslibdir}/tools.jar ; \
+        fi
+
+uninstall-local:
+	$(RM) $(DESTDIR)${toolslibdir}/tools.jar 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
Index: kaffe/THIRDPARTY
diff -u kaffe/THIRDPARTY:1.55 kaffe/THIRDPARTY:1.56
--- kaffe/THIRDPARTY:1.55	Tue Jan  1 20:53:48 2008
+++ kaffe/THIRDPARTY	Tue Jan  1 22:21:11 2008
@@ -17,56 +17,6 @@
 
 More information on tritonus is available from http://tritonus.org.
 
-* javap
-
-This code has been merged in from the GNU Classpath tools project.
-Kaffe is tracking this project's CVS HEAD.
-
-The GNU Classpath tools project is distributed under the GNU General 
-Public License Version 2.
-
-See license.terms for the text of the GNU General Public License 
-Version 2.
-
-More information on gjdoc and cp-tools can be found at
-http://www.gnu.org/software/cp-tools/.
-
-* gnu.bytecode
-
-This code has been merged in from Kawa. Kaffe is tracking this 
-project's CVS HEAD.
-
-The gnu.bytecode classes are licensed under the GNU General Public 
-License Version 2 or any later version. The exact copyright notice 
-is:
-
- "The Java classes (with related files and documentation) in these packages
-  are copyright (C) 1996-2001, 2002  Per Bothner.
-
-  These classes are distributed in the hope that they will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License [included below] for more details.
-
-  These classes are free software.  You can use and re-distribute a class
-  without restriction (in source or binary form) as long as you use a
-  version has not been modified in any way from a version released
-  by Per Bothner, Cygnus Solutions, or the Free Software Foundation.
-  (See the Kawa manual for more information.)
-  You may make and distribute a modified version, provided you follow
-  the terms of the GNU General Public License; either version 2,
-  or (at your option) any later version.  (Version 2 is included below.)
-
-  If you have questions, contact Per Bothner,
-  18651 Cynthia Avenue, Cupertino CA 95014, USA.
-  By email [email protected]."
-
-See license.terms for the text of the GNU General Public License
-Version 2.
-
-More information on Kawa can be found at
-http://www.gnu.org/software/kawa/.
-
 * org.xbill.DNS
 
 This code has been taken from DNSJava 2.0.0. 
@@ -297,11 +247,12 @@
 Autoconf macros taken from GNOME ESounD CVS. Licensed under the GPL/LGPL.
 
 * m4/ax_cflags_gcc_option.m4, m4/ax_cflags_warn_all.m4, m4/acx_pthread.m4,
-  m4/compile_value.m4
+  m4/compile_value.m4, m4/ac_prog_javac.m4, m4/ac_prog_javac_works.m4, 
+  m4/ac_prog_javadoc.m4, m4/ac_try_compile_java.m4
 
-Autoconf macros to check for accepted warning and compiler options, pthreads 
-and compile time values. Taken from the Autoconf Macro Archive at 
-http://ac-archive.sourceforge.net/.
+Autoconf macros to check for accepted warning and compiler options, pthreads, 
+compile time values and Java development tools. Taken from the Autoconf Macro 
+Archive at http://ac-archive.sourceforge.net/.
 
 Licensed under the GNU General Public License with a special exception:
 
Index: kaffe/TODO
diff -u kaffe/TODO:1.25 kaffe/TODO:1.26
--- kaffe/TODO:1.25	Tue Jan  1 19:20:16 2008
+++ kaffe/TODO	Tue Jan  1 22:21:11 2008
@@ -22,7 +22,7 @@
  * Implement hooks for JVMTI from GNU Classpath. 
 
 * Integration issues
- * Unmerge tritonus and cp-tools.
+ * Unmerge tritonus.
  * Unmerge pure java DNS.
  * Make pure java zip the default.
  * Remove unused replacement code like getopt.c.
Index: kaffe/WHATSNEW
diff -u kaffe/WHATSNEW:1.69 kaffe/WHATSNEW:1.70
--- kaffe/WHATSNEW:1.69	Tue Jan  1 20:53:48 2008
+++ kaffe/WHATSNEW	Tue Jan  1 22:21:11 2008
@@ -2,6 +2,8 @@
 ----------------------------
 
 * Removed gnu-inet.
+* Removed GNU Classpath tools. Kaffe uses an installed javap
+  as javap when it's available.
 * Removed gjdoc and ANTLR. Kaffe uses an installed gjdoc as 
   javadoc when it's available.
 * Removed GNU Classpath. Kaffe uses an existing GNU Classpath 
Index: kaffe/configure
diff -u kaffe/configure:1.611 kaffe/configure:1.612
--- kaffe/configure:1.611	Tue Jan  1 21:24:39 2008
+++ kaffe/configure	Tue Jan  1 22:21:11 2008
@@ -961,6 +961,7 @@
 GLIBJ_ZIP
 JAVAC
 JAVADOC
+JAVAP
 JAVA_LIBS
 with_engine
 THREAD_SYSTEM
@@ -1027,8 +1028,6 @@
 COND_PURE_JAVA_MATH_TRUE
 COND_PURE_JAVA_MATH_FALSE
 MATH_LIB
-COND_CLASSPATH_TOOLS_TRUE
-COND_CLASSPATH_TOOLS_FALSE
 DLOPEN_JAVA_LIBS
 OPT_DLOPEN_JAVA_LIBS
 KLIBFLAGS
@@ -1698,9 +1697,6 @@
                           [default=enabled]
   --enable-pure-java-math Enable pure java java.math.* package
                           [default=native]
-  --disable-classpath-tools
-                          Disable building of classpath tools like javap and
-                          rmic
   --disable-direct-threading
                           Use switched interpreter instead of direct-threading
   --enable-binreloc       compile with binary relocation support
@@ -7131,7 +7127,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 7134 "configure"' > conftest.$ac_ext
+  echo '#line 7130 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9695,11 +9691,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9698: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9694: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9702: \$? = $ac_status" >&5
+   echo "$as_me:9698: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9985,11 +9981,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9988: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9984: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9992: \$? = $ac_status" >&5
+   echo "$as_me:9988: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -10089,11 +10085,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10092: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10088: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10096: \$? = $ac_status" >&5
+   echo "$as_me:10092: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12438,7 +12434,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12441 "configure"
+#line 12437 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12538,7 +12534,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12541 "configure"
+#line 12537 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14962,11 +14958,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14965: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14961: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14969: \$? = $ac_status" >&5
+   echo "$as_me:14965: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15066,11 +15062,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15069: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15065: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15073: \$? = $ac_status" >&5
+   echo "$as_me:15069: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16628,11 +16624,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16631: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16627: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16635: \$? = $ac_status" >&5
+   echo "$as_me:16631: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16732,11 +16728,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16735: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16731: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16739: \$? = $ac_status" >&5
+   echo "$as_me:16735: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18923,11 +18919,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18926: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18922: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18930: \$? = $ac_status" >&5
+   echo "$as_me:18926: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -19213,11 +19209,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19216: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19212: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:19220: \$? = $ac_status" >&5
+   echo "$as_me:19216: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -19317,11 +19313,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19320: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19316: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:19324: \$? = $ac_status" >&5
+   echo "$as_me:19320: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -26102,7 +26098,7 @@
 JAVA_TEST=Test.java
 CLASS_TEST=Test.class
 cat << \EOF > $JAVA_TEST
-/* #line 26105 "configure" */
+/* #line 26101 "configure" */
 public class Test {
 }
 EOF
@@ -26225,6 +26221,51 @@
 test "x$JAVADOC" = x && { echo "$as_me:$LINENO: WARNING: no acceptable javadoc generator found in \$PATH" >&5
 echo "$as_me: WARNING: no acceptable javadoc generator found in \$PATH" >&2;}
 
+for ac_prog in javap-cp javap
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_JAVAP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $JAVAP in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_JAVAP="$JAVAP" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_JAVAP="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+JAVAP=$ac_cv_path_JAVAP
+if test -n "$JAVAP"; then
+  { echo "$as_me:$LINENO: result: $JAVAP" >&5
+echo "${ECHO_T}$JAVAP" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+  test -n "$JAVAP" && break
+done
+
 
 KAFFEVM_TRAMPOLINES_S=
 if test x"$with_engine" != x"intrp" ; then
@@ -47048,24 +47089,6 @@
 
 
 
-
-# Check whether --enable-classpath-tools was given.
-if test "${enable_classpath_tools+set}" = set; then
-  enableval=$enable_classpath_tools;
-else
-  enable_classpath_tools=yes
-fi
-
-
- if test x"$enable_classpath_tools" = x"yes"; then
-  COND_CLASSPATH_TOOLS_TRUE=
-  COND_CLASSPATH_TOOLS_FALSE='#'
-else
-  COND_CLASSPATH_TOOLS_TRUE='#'
-  COND_CLASSPATH_TOOLS_FALSE=
-fi
-
-
 JAVA_LIBS=" \
 \$(top_builddir)/libraries/clib/management/libmanagement.la \
 \$(top_builddir)/libraries/clib/security/libsecurity.la \
@@ -47962,8 +47985,6 @@
 
 ac_config_files="$ac_config_files kaffe/scripts/javah"
 
-ac_config_files="$ac_config_files kaffe/scripts/javap"
-
 ac_config_files="$ac_config_files kaffe/scripts/jdb"
 
 ac_config_files="$ac_config_files kaffe/scripts/compat/java"
@@ -47972,10 +47993,6 @@
 
 ac_config_files="$ac_config_files po/Makefile.in"
 
-ac_config_files="$ac_config_files tools/Makefile"
-
-ac_config_files="$ac_config_files tools/javatools/Makefile"
-
 ac_config_files="$ac_config_files test/Makefile"
 
 ac_config_files="$ac_config_files test/internal/Makefile"
@@ -48330,13 +48347,6 @@
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
-if test -z "${COND_CLASSPATH_TOOLS_TRUE}" && test -z "${COND_CLASSPATH_TOOLS_FALSE}"; then
-  { { echo "$as_me:$LINENO: error: conditional \"COND_CLASSPATH_TOOLS\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"COND_CLASSPATH_TOOLS\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
-   { (exit 1); exit 1; }; }
-fi
 if test -z "${COND_DIRECT_THREADING_TRUE}" && test -z "${COND_DIRECT_THREADING_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"COND_DIRECT_THREADING\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -48902,13 +48912,10 @@
     "kaffe/scripts/kaffe") CONFIG_FILES="$CONFIG_FILES kaffe/scripts/kaffe" ;;
     "kaffe/scripts/kaffexprof") CONFIG_FILES="$CONFIG_FILES kaffe/scripts/kaffexprof" ;;
     "kaffe/scripts/javah") CONFIG_FILES="$CONFIG_FILES kaffe/scripts/javah" ;;
-    "kaffe/scripts/javap") CONFIG_FILES="$CONFIG_FILES kaffe/scripts/javap" ;;
     "kaffe/scripts/jdb") CONFIG_FILES="$CONFIG_FILES kaffe/scripts/jdb" ;;
     "kaffe/scripts/compat/java") CONFIG_FILES="$CONFIG_FILES kaffe/scripts/compat/java" ;;
     "kaffe/scripts/compat/javac") CONFIG_FILES="$CONFIG_FILES kaffe/scripts/compat/javac" ;;
     "po/Makefile.in") CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
-    "tools/Makefile") CONFIG_FILES="$CONFIG_FILES tools/Makefile" ;;
-    "tools/javatools/Makefile") CONFIG_FILES="$CONFIG_FILES tools/javatools/Makefile" ;;
     "test/Makefile") CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
     "test/internal/Makefile") CONFIG_FILES="$CONFIG_FILES test/internal/Makefile" ;;
     "test/regression/Makefile") CONFIG_FILES="$CONFIG_FILES test/regression/Makefile" ;;
@@ -49227,6 +49234,7 @@
 GLIBJ_ZIP!$GLIBJ_ZIP$ac_delim
 JAVAC!$JAVAC$ac_delim
 JAVADOC!$JAVADOC$ac_delim
+JAVAP!$JAVAP$ac_delim
 JAVA_LIBS!$JAVA_LIBS$ac_delim
 with_engine!$with_engine$ac_delim
 THREAD_SYSTEM!$THREAD_SYSTEM$ac_delim
@@ -49239,7 +49247,6 @@
 HAVE_MKTEMP_TRUE!$HAVE_MKTEMP_TRUE$ac_delim
 HAVE_MKTEMP_FALSE!$HAVE_MKTEMP_FALSE$ac_delim
 HAVE_JASMIN_TRUE!$HAVE_JASMIN_TRUE$ac_delim
-HAVE_JASMIN_FALSE!$HAVE_JASMIN_FALSE$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -49281,6 +49288,7 @@
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+HAVE_JASMIN_FALSE!$HAVE_JASMIN_FALSE$ac_delim
 KAFFE_LIBS!$KAFFE_LIBS$ac_delim
 M_LIBS!$M_LIBS$ac_delim
 NET_LIBS!$NET_LIBS$ac_delim
@@ -49334,8 +49342,6 @@
 COND_PURE_JAVA_MATH_TRUE!$COND_PURE_JAVA_MATH_TRUE$ac_delim
 COND_PURE_JAVA_MATH_FALSE!$COND_PURE_JAVA_MATH_FALSE$ac_delim
 MATH_LIB!$MATH_LIB$ac_delim
-COND_CLASSPATH_TOOLS_TRUE!$COND_CLASSPATH_TOOLS_TRUE$ac_delim
-COND_CLASSPATH_TOOLS_FALSE!$COND_CLASSPATH_TOOLS_FALSE$ac_delim
 DLOPEN_JAVA_LIBS!$DLOPEN_JAVA_LIBS$ac_delim
 OPT_DLOPEN_JAVA_LIBS!$OPT_DLOPEN_JAVA_LIBS$ac_delim
 KLIBFLAGS!$KLIBFLAGS$ac_delim
@@ -49367,7 +49373,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 84; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 83; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
Index: kaffe/configure.ac
diff -u kaffe/configure.ac:1.281 kaffe/configure.ac:1.282
--- kaffe/configure.ac:1.281	Tue Jan  1 21:24:39 2008
+++ kaffe/configure.ac	Tue Jan  1 22:21:12 2008
@@ -728,6 +728,7 @@
 JAVACFLAGS="-classpath ${CLASSPATH_CLASSES}"
 AC_PROG_JAVAC
 AC_PROG_JAVADOC 
+AC_PATH_PROGS([JAVAP],[javap-cp javap])
 
 dnl =========================================================================
 dnl Look for trampoline code if in JIT mode
@@ -1947,18 +1948,6 @@
 
 AM_WITH_DMALLOC
 
-dnl =========================================================================
-dnl Building of classpath tools
-dnl -------------------------------------------------------------------------
-
-AC_ARG_ENABLE([classpath-tools],
-		AS_HELP_STRING([--disable-classpath-tools],
-				[Disable building of classpath tools like javap and rmic]),
-		[],
-		[enable_classpath_tools=yes])
-
-AM_CONDITIONAL([COND_CLASSPATH_TOOLS], [test x"$enable_classpath_tools" = x"yes"])
-
 JAVA_LIBS=" \
 \$(top_builddir)/libraries/clib/management/libmanagement.la \
 \$(top_builddir)/libraries/clib/security/libsecurity.la \
@@ -2256,13 +2245,10 @@
 AC_CONFIG_FILES([kaffe/scripts/kaffe])
 AC_CONFIG_FILES([kaffe/scripts/kaffexprof])
 AC_CONFIG_FILES([kaffe/scripts/javah])
-AC_CONFIG_FILES([kaffe/scripts/javap])
 AC_CONFIG_FILES([kaffe/scripts/jdb])
 AC_CONFIG_FILES([kaffe/scripts/compat/java])
 AC_CONFIG_FILES([kaffe/scripts/compat/javac])
 AC_CONFIG_FILES([po/Makefile.in])
-AC_CONFIG_FILES([tools/Makefile])
-AC_CONFIG_FILES([tools/javatools/Makefile])
 AC_CONFIG_FILES([test/Makefile])
 AC_CONFIG_FILES([test/internal/Makefile])
 AC_CONFIG_FILES([test/regression/Makefile])
Index: kaffe/config/Makefile.in
diff -u kaffe/config/Makefile.in:1.243 kaffe/config/Makefile.in:1.244
--- kaffe/config/Makefile.in:1.243	Sat Dec 22 23:05:33 2007
+++ kaffe/config/Makefile.in	Tue Jan  1 22:21:14 2008
@@ -147,6 +147,7 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVADOC = @JAVADOC@
+JAVAP = @JAVAP@
 JAVA_LIBS = @JAVA_LIBS@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
Index: kaffe/include/Makefile.in
diff -u kaffe/include/Makefile.in:1.305 kaffe/include/Makefile.in:1.306
--- kaffe/include/Makefile.in:1.305	Sat Dec 22 23:05:34 2007
+++ kaffe/include/Makefile.in	Tue Jan  1 22:21:14 2008
@@ -162,6 +162,7 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVADOC = @JAVADOC@
+JAVAP = @JAVAP@
 JAVA_LIBS = @JAVA_LIBS@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
Index: kaffe/kaffe/Makefile.in
diff -u kaffe/kaffe/Makefile.in:1.193 kaffe/kaffe/Makefile.in:1.194
--- kaffe/kaffe/Makefile.in:1.193	Sat Dec 22 23:05:34 2007
+++ kaffe/kaffe/Makefile.in	Tue Jan  1 22:21:15 2008
@@ -151,6 +151,7 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVADOC = @JAVADOC@
+JAVAP = @JAVAP@
 JAVA_LIBS = @JAVA_LIBS@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
Index: kaffe/kaffe/jvmpi/Makefile.in
diff -u kaffe/kaffe/jvmpi/Makefile.in:1.118 kaffe/kaffe/jvmpi/Makefile.in:1.119
--- kaffe/kaffe/jvmpi/Makefile.in:1.118	Sat Dec 22 23:05:35 2007
+++ kaffe/kaffe/jvmpi/Makefile.in	Tue Jan  1 22:21:15 2008
@@ -162,6 +162,7 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVADOC = @JAVADOC@
+JAVAP = @JAVAP@
 JAVA_LIBS = @JAVA_LIBS@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
Index: kaffe/kaffe/kaffe/Makefile.in

*** Patch too long, truncated ***
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.